%if %{undefined el9}
%bcond_without tests
%else
%bcond_with tests
%endif
%define ansible_role_name geerlingguy.postgresql

Name:           ansible-role-postgresql
Version:        3.4.2
Release:        2%{?dist}
Summary:        Installs and configures PostgreSQL server on RHEL/CentOS or Debian/Ubuntu servers.
License:        MIT
#URL:            %{ansible_collection_url geerlingguy postgresql}
URL:            https://galaxy.ansible.com/ui/repo/published/geerlingguy/postgresql
Source0:         https://github.com/geerlingguy/ansible-role-postgresql/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        pathfix.py
BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif
# For ansible cli commmands
BuildRequires:  ansible-core >= 2.10
# For pathfix.py
BuildRequires:  python3-devel

BuildArch:      noarch


%description
%{summary}.

%prep
%autosetup -n ansible-role-postgresql-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%install
# [ansible-galaxy-2.13.3] So far ansible-galaxy cli not smart enough to recognize a local tarball path. Can only use filenanme, doesn't work for file path.
# Otherwise it sees the path as a upstream Ansible Role name and will query upstream API.
cp %{SOURCE0} ./
ansible-galaxy role install $(basename %{SOURCE0}),%{geerlingguy_postgresql_ver} -n -s none -vvvv -p $RPM_BUILD_ROOT%{_datadir}/ansible/roles

# [ansible-galaxy-2.13.3] Doesn't support to change dir name for the Ansible Role. It will always use the tarball name. Only way to do it is to manually rename it.
mv $RPM_BUILD_ROOT%{_datadir}/ansible/roles/$(basename %{SOURCE0}) $RPM_BUILD_ROOT%{_datadir}/ansible/roles/geerlingguy.postgresql

#Fix ambiguous python shebangs using a pathfix.py modified by me (Lans Hung <lans.hung@oracle.com>)
%{SOURCE1} -i "%{__python3} %{py3_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/roles/



%check
%if %{with tests}
%ansible_test_unit
%endif


%files
%license LICENSE
%doc README.md
%{_datadir}/ansible/roles/*
%exclude %{_datadir}/ansible/roles/%{ansible_role_name}/.github
%exclude %{_datadir}/ansible/roles/%{ansible_role_name}/.github/*
%exclude %{_datadir}/ansible/roles/%{ansible_role_name}/.gitignore
%exclude %{_datadir}/ansible/roles/%{ansible_role_name}/LICENSE
%exclude %{_datadir}/ansible/roles/%{ansible_role_name}/README.md

%changelog
* Wed Mar 26 2025 Rafael Barron <rafael.barron@oracle.com> - 3.4.2-2
- Remove python2-devel build dependency

* Wed May 31 2023 Lans Hung<lans.hung@oracle.com> - 3.4.2-1
- Init package
